libqxp::TextPath Struct Reference

`#include <QXPTypes.h>`

Inheritance diagram for libqxp::TextPath:

## Public Member Functions

| TextPath ()
Public Member Functions inherited from libqxp::Line
| Line ()
Public Member Functions inherited from libqxp::TextObject
| TextObject ()
bool | isLinked () const

## Public Attributes

TextPathSettings | settings
Public Attributes inherited from libqxp::Line
double | rotation
Frame | style
std::vector< CurveComponent > | curveComponents
Public Attributes inherited from libqxp::Object
Rect | boundingBox
bool | runaround
unsigned | zIndex
Public Attributes inherited from libqxp::TextObject
LinkedTextSettings | linkSettings
boost::optional< std::shared_ptr< Text > > | text

## Additional Inherited Members

Protected Member Functions inherited from libqxp::Object
| Object ()

## Constructor & Destructor Documentation

## TextPath()

libqxp::TextPath::TextPath | ( |  | ) |

inline

## Member Data Documentation

## settings

TextPathSettings libqxp::TextPath::settings

Referenced by TextPath().

The documentation for this struct was generated from the following file:

- QXPTypes.h